- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 202407-03
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                           https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

 Severity: Normal
    Title: Liferea: Remote Code Execution
     Date: July 01, 2024
     Bugs: #901085
       ID: 202407-03

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability has been discovered in Liferea, which can lead to remote
code execution.

Background
==========

Liferea is a feed reader/news aggregator that brings together all of the
content from your favorite subscriptions into a simple interface that
makes it easy to organize and browse feeds. Its GUI is similar to a
desktop mail/news client, with an embedded web browser.

Affected packages
=================

Package           Vulnerable    Unaffected
----------------  ------------  ------------
net-news/liferea  < 1.12.10     >= 1.12.10

Description
===========

A vulnerability has been discovered in Liferea. Please review the CVE
identifier referenced below for details.

Impact
======

A vulnerability was found in liferea. Affected by this issue is the
function update_job_run of the file src/update.c of the component Feed
Enrichment. The manipulation of the argument source can lead to os
command injection. The attack may be launched remotely.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Liferea users should upgrade to the latest version:

  # emerge --sync
  # emerge --ask --oneshot --verbose ">=net-news/liferea-1.12.10"

References
==========

[ 1 ] CVE-2023-1350
      https://nvd.nist.gov/vuln/detail/CVE-2023-1350

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

 https://security.gentoo.org/glsa/202407-03

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2024 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5

Gentoo: GLSA-202407-03: Liferea: Remote Code ExecutionSecurity Advisory Updates

A vulnerability has been discovered in Liferea, which can lead to remote code execution.

Summary

A vulnerability has been discovered in Liferea. Please review the CVE identifier referenced below for details.

Resolution

All Liferea users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose ">=net-news/liferea-1.12.10"

References

[ 1 ] CVE-2023-1350 https://nvd.nist.gov/vuln/detail/CVE-2023-1350

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:
https://security.gentoo.org/glsa/202407-03

Concerns

Security is a primary focus of Gentoo Linux and ensuring the confidentiality and security of our users' machines is of utmost importance to us. Any security concerns should be addressed to security@gentoo.org or alternatively, you may file a bug at https://bugs.gentoo.org.

Severity
Severity: Normal
Title: Liferea: Remote Code Execution
Date: July 01, 2024
Bugs: #901085
ID: 202407-03

Synopsis

A vulnerability has been discovered in Liferea, which can lead to remote code execution.

Background

Liferea is a feed reader/news aggregator that brings together all of the content from your favorite subscriptions into a simple interface that makes it easy to organize and browse feeds. Its GUI is similar to a desktop mail/news client, with an embedded web browser.

Affected Packages

Package Vulnerable Unaffected ---------------- ------------ ------------ net-news/liferea < 1.12.10 >= 1.12.10

Impact

A vulnerability was found in liferea. Affected by this issue is the function update_job_run of the file src/update.c of the component Feed Enrichment. The manipulation of the argument source can lead to os command injection. The attack may be launched remotely.

Workaround

There is no known workaround at this time.

Related News